Index: src/sas/qtgui/MainWindow/DataExplorer.py
===================================================================
--- src/sas/qtgui/MainWindow/DataExplorer.py	(revision 9463ca22fbd7a5dfabfd6ec8adf7690e1460bef6)
+++ src/sas/qtgui/MainWindow/DataExplorer.py	(revision facf4cace332ddd3c8e57bfc24256769753e21a5)
@@ -544,5 +544,6 @@
                 # 'sophisticated' test to generate standalone plot for residuals
                 if 'esiduals' in plot.title:
-                    self.plotData([(item, plot)], transform=False)
+                    plot.yscale='linear'
+                    self.plotData([(item, plot)])
                 else:
                     new_plots.append((item, plot))
Index: src/sas/qtgui/Plotting/PlotProperties.py
===================================================================
--- src/sas/qtgui/Plotting/PlotProperties.py	(revision 53c771ed573b1c8716ecc969b54a1d617a4cb931)
+++ src/sas/qtgui/Plotting/PlotProperties.py	(revision facf4cace332ddd3c8e57bfc24256769753e21a5)
@@ -24,5 +24,5 @@
         self._color = color if color else 0
         self._legend = legend
-        self._markersize = marker_size if marker_size else 5
+        self._markersize = marker_size if marker_size else 3
         self.custom_color = False if isinstance(self._color, int) else True
 
Index: src/sas/qtgui/Plotting/Plottables.py
===================================================================
--- src/sas/qtgui/Plotting/Plottables.py	(revision cee5c78929349ae10afc88cb8b95e0c907f1826a)
+++ src/sas/qtgui/Plotting/Plottables.py	(revision facf4cace332ddd3c8e57bfc24256769753e21a5)
@@ -438,5 +438,5 @@
     interactive = True
     custom_color = None
-    markersize = 5  # default marker size is 'size 5'
+    markersize = 3  # default marker size is 'size 3'
 
     def __init__(self):
@@ -1046,5 +1046,5 @@
         self.symbol = 0
         self.custom_color = None
-        self.markersize = 5
+        self.markersize = 3
         self.id = None
         self.zorder = 1
Index: src/sas/qtgui/Plotting/Plotter.py
===================================================================
--- src/sas/qtgui/Plotting/Plotter.py	(revision 0231f93301d69abe67a6d37cf55d97a44f2ce16a)
+++ src/sas/qtgui/Plotting/Plotter.py	(revision facf4cace332ddd3c8e57bfc24256769753e21a5)
@@ -6,4 +6,5 @@
 import copy
 import matplotlib as mpl
+import numpy as np
 from matplotlib.font_manager import FontProperties
 from sas.qtgui.Plotting.PlotterData import Data1D
@@ -130,4 +131,12 @@
         markersize = self._data.markersize
 
+        # Include scaling (log vs. linear)
+        ax.set_xscale(self.xscale, nonposy='clip')
+        ax.set_yscale(self.yscale, nonposy='clip')
+
+        # define the ranges
+        self.setRange = SetGraphRange(parent=self,
+            x_range=self.ax.get_xlim(), y_range=self.ax.get_ylim())
+
         # Draw non-standard markers
         l_width = markersize * 0.4
@@ -151,6 +160,12 @@
                         linestyle='', label=self._title, picker=True)
             else:
+                dy = self._data.view.dy
+                # Convert tuple (lo,hi) to array [(x-lo),(hi-x)]
+                if dy is not None and type(dy) == type(()):
+                    dy = np.vstack((y - dy[0], dy[1] - y)).transpose()
+
                 line = ax.errorbar(x, y,
-                            yerr=self._data.view.dy, xerr=None,
+                            yerr=dy,
+                            xerr=None,
                             capsize=2, linestyle='',
                             barsabove=False,
@@ -161,4 +176,5 @@
                             xlolims=False, xuplims=False,
                             label=self._title,
+                            zorder=1,
                             picker=True)
 
@@ -183,11 +199,7 @@
             ax.set_xlabel(self.x_label)
 
-        # Include scaling (log vs. linear)
-        ax.set_xscale(self.xscale)
-        ax.set_yscale(self.yscale)
-
         # define the ranges
-        self.setRange = SetGraphRange(parent=self,
-            x_range=self.ax.get_xlim(), y_range=self.ax.get_ylim())
+        #self.setRange = SetGraphRange(parent=self,
+        #    x_range=self.ax.get_xlim(), y_range=self.ax.get_ylim())
 
         # refresh canvas
